Bug 37038 - squid3: Denial of service (4.0)
squid3: Denial of service (4.0)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.0
Other Linux
: P5 minor (vote)
: UCS 4.0-3-errata
Assigned To: Daniel Tröder
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-26 11:30 CET by Moritz Muehlenhoff
Modified: 2017-10-26 13:54 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-11-26 11:30:18 CET
Off-by-one in parsing SNMP packets (CVE-2014-6270) 
Denial of service in the pinger component handling malformed ICMP packets (CVE-2014-7141, CVE-2014-7142)
Comment 1 Arvid Requate univentionstaff 2015-05-06 19:10:18 CEST
All of the three issues above have been classified as "Minor issue" in Debian.
Comment 2 Arvid Requate univentionstaff 2015-08-17 16:38:57 CEST
Fixed in 3.1.20-2.2+deb7u3:

* Squid configured with cache_peer and operating on explicit proxy traffic does not correctly handle CONNECT method peer responses (CVE-2015-5400)
Comment 3 Daniel Tröder univentionstaff 2015-09-02 13:10:31 CEST
* squid3 3.1.20-2.2+deb7u3 was imported and build to scope errata4.0-3.
* YAML (r63405): 2015-09-02-squid3.yaml
Comment 4 Felix Botner univentionstaff 2015-09-07 11:16:47 CEST
OK - squid3 3.1.20-2
OK - ucs-test-proxy
OK - YAML
Comment 5 Janek Walkenhorst univentionstaff 2015-09-09 12:52:13 CEST
<http://errata.software-univention.de/ucs/4.0/309.html>